Subject: Re: linux-next: Signed-off-by missing for commit in the gfs2 tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 25 Jul 2018 11:16:41 +1000

Hi Andreas,

On Wed, 25 Jul 2018 00:23:22 +0200 Andreas Grünbacher <[email-masked]> wrote:
>
> 2018-07-25 0:01 GMT+02:00 Stephen Rothwell <[email-masked]>:
> > Hi all,
> >
> > Commit
> >
> >   b6fbc2f6a686 ("GFS2: Fix recovery issues for spectators")
> >
> > is missing a Signed-off-by from its committer.  It was rebased.  
> 
> thanks, I've fixed it now but this is getting rather annoying -- and
> it must happen to others as well. Do you happen to have git hooks that
> prevent this from happening?

No, but I don't rebase stuff (that matters) ;-)  I think that someone
did write a hook, but can't remember who, sorry.

What I have is a script that I run over each new set of commits I fetch
that checks these things.

-- 
Cheers,
Stephen Rothwell